require 'builder'

module CcbConnectClient

  class BaseRequest 
    attr_reader :tx_code, :request_sn

    def initialize
      generate_request_sn
    end

    def generate_request_sn
      @request_sn = Time.now.strftime '%Y%m%d%H%M%S' + rand(10).to_s 
    end

  end

end
